/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-12 15:31:10.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.questions.base.converter.model.platform;

import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;

/**
 * 模块信息
 */
public class ParamVo implements Serializable {
    private static final long serialVersionUID = 2180336388838138300L;
    private String width;
    private String height;

    public String getStyle() {
        return "max-width:500px;max-height:500px;" + getWidth() + getHeight();
    }

    public String getWidth() {
        if (StringUtils.isBlank(width)) {
            return "";
        }
        return String.format("width:%spx;", width);
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getHeight() {
        if (StringUtils.isBlank(height)) {
            return "";
        }
        return String.format("height:%spx;", height);
    }

    public void setHeight(String height) {
        this.height = height;
    }

}